How to add PHP versions 7.3, 7.4, 8.0 in my server from WHM/cPanel

Operating System & Version
cent os 7.9
cPanel & WHM Version
v94.0.10

Leonidas Savvides

Well-Known Member
May 10, 2016
95
4
58
Cyprus
cPanel Access Level
Root Administrator
You mean the blue customize button, or,...? Because blue customize is for php7.1,7.2

Or the cPanel default
Customize button php 7.3, 7.4, 8.0, on the bottom of first shot...?

What differ the last three customize buttons of the first shot?
 

cPRex

Jurassic Moderator
Staff member
Oct 19, 2014
7,494
1,009
313
cPanel Access Level
Root Administrator
No, that will not upgrade PHP on the system. It would let you install other versions and make them available, but it would not change any of your default settings. That still has to be done through the MultiPHP pages of WHM.

The lower customize buttons let you customize that specific profile, where the top one adjusts the currently-configured profile.
 

quietFinn

Well-Known Member
Feb 4, 2006
1,339
147
193
Finland
cPanel Access Level
Root Administrator
Thank you for your help

My goal is add a Laravel 8.x PHP WEB SITE

REQUIREMENTS :

If needed additional modules & extensions php to install,... how do this?
You click the "Customize" button, the top one. Doing that does not install or unistall anything yet. In the next page you can add or remove PHP versions, PHP extensions etc. Only after you click the "Provision" button EasyApache will do the changes.
 

Leonidas Savvides

Well-Known Member
May 10, 2016
95
4
58
Cyprus
cPanel Access Level
Root Administrator
I did the process - applied PHP 7.4 inherited
but the Laravel 8.x App shows an error: // see screenshot

Illuminate\Database\QueryException could not find driver (SQL: select * from `sessions` where `id` = 6HaOSc83TqMMfpkI3SXOiJ1pDNhamNXQAXQcX4gu limit 1)

Also, a Presta shop app in the same server shows a 500 server error --- not working

After applying the previous 7.2 PHP --- all fixed --- is it a MySQL error????

WHM: Home » SQL Services » MySQL/MariaDB Upgrade
here is --- see the second screenshot


IF change MySQL version should work???? Can change MySQL version per domain, like PHP version ... ?
 

Attachments

quietFinn

Well-Known Member
Feb 4, 2006
1,339
147
193
Finland
cPanel Access Level
Root Administrator

Leonidas Savvides

Well-Known Member
May 10, 2016
95
4
58
Cyprus
cPanel Access Level
Root Administrator
live VPS LAMP
[[email protected]**************** ~]# mysql --version
mysql Ver 14.14 Distrib 5.7.34, for Linux (x86_64) using EditLine wrapper
[[email protected]**************** ~]# php --version
PHP 7.2.34 (cli) (built: May 5 2021 12:49:08) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.2.0, Copyright (c) 1998-2018 Zend Technologies
[[email protected]**************** ~]#

Local Server --- vagrant testing and working
Last login: Thu May 20 12:12:05 2021 from 10.0.2.2
[email protected]:~$ mysql --version
mysql Ver 14.14 Distrib 5.7.29, for Linux (x86_64) using EditLine wrapper
[email protected]:~$ php --version
PHP 7.4.5 (cli) (built: Apr 19 2020 07:36:30) ( NTS )
Copyright (c) The PHP Group
Zend Engine v3.4.0, Copyright (c) Zend Technologies
with Zend OPcache v7.4.5, Copyright (c), by Zend Technologies
[email protected]:~$


WHY LIVE SERVER when apply PHP 7.4.x with MySQL 5.7.34 --- getting errors???